﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcSample.Models;

namespace MvcSample.Controllers
{
    public class HomeController : ApplicationController
    {
        private static Users _usrs = new Users();
 
        public ActionResult Index()
        {
            return View(_usrs._usrList);
        }

        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create(UserModel item)
        {
            _usrs.Create(item);
            return View();
        }

        public ActionResult Edit(string id)
        {
            return View(_usrs.GetUser(id));
        }

        [HttpPost]
        public ActionResult Edit(UserModel um)
        {
            _usrs.Update(um);
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ViewResult Delete(string id)
        {
            return View(_usrs.GetUser(id));
        }

        [HttpPost]
        public RedirectToRouteResult Delete(string id, FormCollection collection)
        {
            _usrs.Remove(id);
            return RedirectToAction("Index");
        }

        public JsonResult Details(string id)
        {
            UserModel user = _usrs.GetUser(id);
            var m = new { Status = 1, Message = "Ok", Content = RenderPartialViewToString("Details", user) };
            return Json(m);
        }
      

    }
}
